vanWaerdenManyOneTest {PMCMRplus} | R Documentation

## van-der-Waerden's Many-One Comparisons Normal Scores Test

### Description

Performs van-der-Waerden's multiple comparison normal scores test with one control.

### Usage

    vanWaerdenManyOneTest(x, ...)

    ## Default S3 method:
    vanWaerdenManyOneTest(
      x,
      g,
      alternative = c("two.sided", "greater", "less"),
      p.adjust.method = c("single-step", p.adjust.methods),
      ...
    )

    ## S3 method for class 'formula'
    vanWaerdenManyOneTest(
      formula,
      data,
      subset,
      na.action,
      alternative = c("two.sided", "greater", "less"),
      p.adjust.method = c("single-step", p.adjust.methods),
      ...
    )

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`alternative` | the alternative hypothesis. Defaults to `two.sided`.
`p.adjust.method` | method for adjusting p values (see `p.adjust`).
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For many-to-one comparisons in an one-factorial layout with non-normally distributed residuals van-der-Waerden's normal scores transformation can be used prior to a many-to-one comparison test. A total of m = k-1 hypotheses can be tested. The null hypothesis H_{i}: F_0(x) = F_i(x) is tested in the two-tailed test against the alternative A_{i}: F_0(x) \ne F_i(x), ~~ 1 ≤ i ≤ k-1. For `p.adjust.method = "single-step"` the multivariate t distribution is used to calculate p-values (see `pmvt`). Otherwise, the t-distribution is used for the calculation of p-values with a latter p-value adjustment as performed by `p.adjust`.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Conover, W. J., Iman, R. L. (1979) On multiple-comparisons procedures, Tech. Rep. LA-7677-MS, Los Alamos Scientific Laboratory.

van der Waerden, B. L. (1952) Order tests for the two-sample problem and their power, Indagationes Mathematicae 14, 453–458.

### See Also

`vanWaerdenTest`, `vanWaerdenAllPairsTest`, `pmvt`.

### Examples

    ## Data set PlantGrowth
    ## Global test
    vanWaerdenTest(weight ~ group, data = PlantGrowth)

    ## van-der-Waerden's many-one comparison test
    ans <- vanWaerdenManyOneTest(weight ~ group,
                                 data = PlantGrowth,
                                 p.adjust.method = "holm")
    summary(ans)

[Package PMCMRplus version 1.6.1 Index]